This object is in archive! 

Google Play - Locus incompatible

Ulf Wittenberg shared this problem 5 years ago
Solved

Incompatible with Sony XPERIA S?


Wanted to reinstall Locus Pro 2.7.4 today on my XPERIA S with Android 4.0.4 : " not compatible with your device." in Play store.


Huh? Why?


TIA,


Ulf

Comments (38)

photo
0

For absolutely no reason, Locus Pro/Free have now in publishing console "Supproted devices: 0". So there is no phone where you can install Locus. No purchases, no downloads, nothing ... I already contacted Google, what`s happen, but as usually, no response ...


photo
0

u just woke up, or u still didn`t get a asleep?

photo
0

no I woke up at six :). Anyway this issue is no problem on our side, so sorry Ulf, but it`s our main interest to have this fixed as soon as possible, so we`ll write emails to Google every three hours with hope, they`ll get at least one.

photo
0

Good day!

Who can say why the latest Locus Pro is incompatible with HTC One X?


This reply was created from a merged topic originally titled


<a class="notranslate" href="http://getsatisfaction.com/locus/topics/latest_locus_pro/changes"; rel="nofollow" target="_blank">latest Locus Pro</a>.

photo
0

Hello Pavel,


unfortunately we still wait for some response from Google support team - as usually, they take enough time ...

photo
0

I can`t download locus pro. It says my device is not compatible but it`s always been fine before. It`s a samsung galaxy note 2. I have purchased the app. I just rest my phone and still didn`t work. Can you help? Thanks


This reply was created from a merged topic originally titled


<a class="notranslate" href="http://getsatisfaction.com/locus/topics/locus_wont_download_when_it_did_before/changes"; rel="nofollow" target="_blank">Locus won`t download - when it did before</a>.

photo
0

I have merged your post into this topic, because it`s same problem. We already wrote more then 6 emails on various places and still no single response. So sorry, but you just have to wait

photo
0

I contacted Google Play support team. (Go to play store, Help, Contact Us , call back ). They called back in 5 seconds. The tech researched (for several minutes) the the same problem with my galaxy 3. He said the locus program does work and is listed in their apps and is compatible with my phone on their end .He said the only reason it could show up as being uncompatable with my phone is if the Locus developer changed something on their end, as in the list of phones that is supported with their program. I hope somone gets this fixed, my new Galaxy phone still does not work.

photo
0

Thanks Philip for your try


This is crazy. On screenshot is clearly visible that application was updated 24.11.2012. Until 4.12.2012 everything worked fine and then suddenly "0 Supported devices". I see no reason why should be problem on our side without touching this publishing console ...

photo
0

even if many people try to communicate with some support, no response ... interesting


I`m now going personally visit the Google office, which is fortunately on second side of my city, Prague.


So sorry all for problems with updates and downloads of Locus, but this is really not an issue on our side ...


EDIT 2 hours later:


-----------------------


very useful visit: "I`m sorry, we cannot help you. Did you wrote on support? Yes? They usually response in 7 - 14 days, so you have to wait. No there is no other chance" ....


Damn ...


I`ll try to release new version probably today evening. Maybe it`s just "stuck" somewhere and this help ...

photo
0

Unbelievable. Locus totally disappeared from the Play Store and having the store open , it does not even show in myapps on my phone (only the addons show).


Great going for giant Google.

photo
0

If it doesn`t show up on the device, but if you go to play.google.com you can see it there, you just can`t install it.


Menion, are you directly adding jar files to the project? Directly references class files and not jars worked for this guy. http://stackoverflow.com/questions/81...


Also, some developers have problems when setting the supported screen layouts to include XLARGE. http://www.boards.ie/vbulletin/showth...


Another thing to try, double check your uses-features and permissions in your manifest, maybe one of the names has changed? http://productforums.google.com/d/msg...

photo
0

This is so ridicolous...


I had a 15 minute phone call with Google (thanks to Philip Vaughan for the hint).


After explaining the situation to the "expert", he asked me again and again, if I want to buy Locus Pro...


*no comment*

photo
0

thanks trogdan ...


it`s all weird mainly because in morning 4.12. all worked fine. In the evening, "0 supported devices". And changes on my side? Absolutely nothing ...


I was already trying upload new version. I tried remove every possible permissions/user-features, just for testing and result is still same.


your suggestions:


removed XLARGE tag - no change


removed <uses-feature


android:name="android.hardware.touchscreen"


android:required="false" /> - no change


change added jars to classes .. ahh damn, Locus use quite a lot of libraries. Even a support-library from Google is just an jar file. This is ridiculous

photo
0

Menion,


I`m sure you`ve already looked at this, but maybe the Google Play reset your app to be inactive? They`ve been playing around with the new developer console in the market....


http://stackoverflow.com/questions/82...


And another possibility


http://stackoverflow.com/questions/99...


I see you removed the android.hardware.touchscreen feature. Do you also have android.hardware.faketouch in the manifest? https://productforums.google.com/foru...


BTW, looks like it takes some people an hour or so for the database to changed after uploading, activating, and saving your update.

photo
0

Hi,


Just for information, if it can help :


1. Google play on Android devices :


1.1. Confirmation : Locus Free and Locus Pro disappeared from the market


1.2. Confirmation : Locus Free and Locus Pro are no more in "My applications" in the market


1.3. Locus Addon Contacts and Locus Addon AR also from "Asamm Software, s. r. o." are there and available for downloads.


2. Google play on my computer web browser :


2.1. Locus Free and Locus Pro disappeared from the market


2.2. Locus Free and Locus Pro are still in "My applications" in the market with any of my device but unavailable for download : "device is not compatible with this app"


2.3. Locus Addon Contacts and Locus Addon AR also from "Asamm Software, s. r. o." are there and available for downloads.


Kind regards,

photo
0

I just got off the phone with Google, they`re aware of the issue and that a few people have contacted them. They were not able to provide any useful feedback, and say to contact the developer. I asked, "is there a way for the developer to find out what is causing the incompatibility?" I didn`t get a good answer, so to me that`s a no.


Hopefully if enough people contact Google, they`ll actually get a real tech support person to contact you.


BTW, what does the diff for your AndroidManifest.xml look like?

photo
0

this is really some big fun ... as from links from trogdan is clear, that Locus is not only app with these problems. But they`re not able to allow possibility that mistake may be also on their side ...


Since last few hours I uploaded all possible combinations of Locus (with changes in manifest). When you upload new version, you just see some stats (like number of supported devices etc,) and when you agree, you confirm it.


I always saw "0 supported devices", so I never confirmed it


Now I really wanted to go to sleep, so I confirmed it and after few errors, I see 2.8.0 version and 2190 supported devices. Hmm some buttons that previously worked now throw some errors so there is definitely any problem with it ..


Anyway version is uploaded and it will MAYBE work.


My mind is totally tired, so excuse me and if someone receive notification about update, then I really congratulate :)

photo
0

good news. take a break, sounds like you earned it.

photo
0

Have a good night ... well deserved !!!

photo
0

works now...

photo
0

Thank you for trying so hard, and boo to the Google people who blame you and not admit a mistake.

photo
0

Corporations. For them, we are just a money source, source without rights.


Anyway, I`m glad that the whole situation happy ended.

photo
0

Good morning Menion !


I hope you slept well !


I confirm what Gynta said just before me, it works also for me now !


... and i like the improvements : share waypoints coordinates, new method to define content of the right panel ... great ! Many thanks !


Have a nice day !

photo
0

Quite s surprise in email inbox


"Hi Jiří,


Thank you for your note. We`ve made some changes recently that may have resolved the problem. If you`re still having trouble, please let us know and we`ll be happy to assist you further.


Regards,


The Google Play Team"


Thanks all for help!! Without it, I`m sure I`ll wait a week or more till they response. Power of great community in practice, so thank you!

photo
0

If you`re still having trouble, please let us know and we`ll be happy to assist you further.


Ask them friendly, how to handle the bad reviews and the 1-star-ratings. Ask them friendly, why there is a hotline for end users but not for developers. Ask them friendly, how they want to say `sorry` for 2 days of additional work without income.

photo
0

I contacted them already at early morning ... but what you expect? :)


I`m glad that problems seems to be solved, that`s all I may hope.

photo
0

Pleased to hear all is well again. I now have my favourite app again!

photo
0

Google should have a "sandbox" for developers!! Even for my own non commercial website I have a LIVE and a TEST setup.

photo
0

if someone have any problems with Locus, that you already reported and I promised to be fixed with today quick fix version, then sorry ...


by uploading new version on Google Play developer console, I have again, nice "0 supported devices". We`ll see how long it take now ...


EDIT: for those, who should have same problem!! ... I switched back to older developer console and risked upload new version. After confirmation and setting of updated texts (news), I switched "back" to new developer console and seems that all works correctly.

photo
0

Confirm, downloaded 2.8.1 successfully!

photo
0

perfect, thank you!!!

photo
0

I unfortunately can`t update Locus to 2.8.1.


Phone - SGS2.

photo
0

and what`s the problem?


an error?


not available?


device incompatible?


...


because - I`ve made an update 2 minutes ago


...also on an SGS2

photo
0

As a subject of this topic says: Device is not compatible.


I have rooted system and changed LCD density to 200. But before there were not problems with updates.

photo
0

As i wrote i have also a SGS2 root (but stock) 4.0.4


updated my SGTab now - also without problems.


please try again afer restart your mobile.

photo
0

I`ve noticed, I have the same problem with some other paid apps. It seems that google introduces some kind of improvements :(

photo
0

Problem solved. I needed a new patch for new version of Gooble Play. Someone interested? There is a link: http://forum.xda-developers.com/showt...

Comments have been locked on this page!